Get Transaction Receipt
curl --request GET \
--url https://api-gateway.sonarx.com/api/v1/customer/{chain}/transactions/{transaction_hash}/receipt \
--header 'apikey: <api-key>'import requests
url = "https://api-gateway.sonarx.com/api/v1/customer/{chain}/transactions/{transaction_hash}/receipt"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api-gateway.sonarx.com/api/v1/customer/{chain}/transactions/{transaction_hash}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"block_number": 81911103,
"timestamp": 1768942178,
"datetime": "2026-01-20T20:49:38",
"transaction_hash": "0x0063079708b5fab44762765a01c17ab2754ebc15cb9ecd0e14fcbbd520452c27",
"transaction_index": 80,
"cumulative_gas_used": 9824334,
"gas_used": 21000,
"contract_address": null,
"status": true,
"effective_gas_price": 36315157924,
"version": 0
}Transactions
Get Transaction Receipt
Get a transaction receipt by transaction hash
GET
/
api
/
v1
/
customer
/
{chain}
/
transactions
/
{transaction_hash}
/
receipt
Get Transaction Receipt
Authorizations
API key for authentication
Path Parameters
The blockchain network to query
Available options:
polygon Example:
"polygon"
Transaction hash (66 character hex string starting with 0x)
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x00dcc066aad65ae4f10c0fc4ec1fac5d3693c12c01d98a9f6a87448be9b26200"
⌘I